import 'package:flutter/material.dart';
import 'package:flut/flut/runtime.dart';
import 'package:flut/flut/object.dart';

class FlutBuildContext extends FlutRealtimeObject<BuildContext> {
  FlutBuildContext.wrap({
    required FlutRuntime runtime,
    required int oid,
    required BuildContext target,
  }) : super.wrap(
         runtime: runtime,
         oid: oid,
         type: 'BuildContext',
         target: target,
       );

  BuildContext get context => flutTarget;

  @override
  dynamic getRawProperty(String property) {
    return null;
  }

  @override
  bool setProperty(String property, dynamic value) {
    return false;
  }

  @override
  dynamic callMethod(String method, Map<String, dynamic> args) {
    return null;
  }
}
